SeExpr

Public Member Functions | Public Attributes | List of all members
VectorEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for VectorEditable:

## Public Member Functions
| VectorEditable (const std::string &name, int startPos, int endPos, const SeExpr2::Vec3d &val)
bool | parseComment (const std::string &comment)
| parses a comment. if false is returned then delete the control from the editable More...
std::string | str () const
void | appendString (std::stringstream &stream) const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
SeExpr2::Vec3d | v
double | min
double | max
bool | isColor
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 101 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ VectorEditable()

VectorEditable::VectorEditable | ( | const std::string & | name,
|  | int | startPos,
|  | int | endPos,
|  | const SeExpr2::Vec3d & | val
| ) |  |
| inline

Definition at line 105 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

void VectorEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 124 of file Editable.h.

References printVal(), and v.

## ◆ controlsMatch()

virtual bool VectorEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 126 of file Editable.h.

References max, min, Editable::name, and v.

## ◆ parseComment()

bool VectorEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 108 of file Editable.h.

References isColor, max, and min.

## ◆ str()

std::string VectorEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 118 of file Editable.h.

References max, min, Editable::name, and v.

## Member Data Documentation

## ◆ isColor

bool VectorEditable::isColor

Definition at line 104 of file Editable.h.

Referenced by parseComment(), VectorControl::sliderChanged(), VectorControl::updateControl(), and VectorControl::VectorControl().

## ◆ max

double VectorEditable::max

Definition at line 103 of file Editable.h.

Referenced by controlsMatch(), parseComment(), VectorControl::sliderChanged(), str(), and VectorControl::updateControl().

## ◆ min

double VectorEditable::min

Definition at line 103 of file Editable.h.

Referenced by controlsMatch(), parseComment(), VectorControl::sliderChanged(), str(), and VectorControl::updateControl().

## ◆ v

SeExpr2::Vec3d VectorEditable::v

Definition at line 102 of file Editable.h.

Referenced by appendString(), controlsMatch(), VectorControl::getColor(), VectorControl::setValue(), str(), VectorControl::updateControl(), and VectorControl::VectorControl().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h